let
  nixpkgs = fetchTarball "https://github.com/NixOS/nixpkgs/tarball/nixos-23.11";
  pkgs = import nixpkgs { config = {}; overlays = []; };
in

pkgs.mkShell {
  packages = with pkgs; [
    git
    nushell
    mc
    jq
    # vscode
    deluge
    libtorrent-rasterbar
    python311Packages.libtorrent-rasterbar
    python311Full
    python311Packages.ipython
    python311Packages.ipdb
    python311Packages.rq
    # dumptorrent
    # udpt
    # buildtorrent

  ];
}